package com.imcode.forum.shell;

import com.imcode.forum.*;

import java.io.PrintStream;

public class CreatePostCommand implements ForumShellCommand {

    public void execute(ForumRepository repository, PrintStream out, String[] commandParameters) {
        String forumId = commandParameters[0];
        String threadId = commandParameters[1];
        String postId = commandParameters[2];
        Forum forum = repository.getForum(forumId);
        ForumThread thread = forum.getThread(threadId);
        ForumPost post = thread.getPost(postId);
        SimpleForumPost newReply = new SimpleForumPost("reply to "+post.getTitle(), "reply to "+post.getBody(), null);
        String replyId = post.createReply(newReply);
        ForumPost reply = thread.getPost(replyId);
        out.println("Created " + reply);
    }

    public String[] getParameterNames() {
        return new String[] { "forum-id", "thread-id", "post-id" };
    }

    public String getPurpose() {
        return "Create post" ;
    }
}
