package com.imcode.forum.shell;

import com.imcode.forum.ForumRepository;
import com.imcode.forum.SimpleForumPost;
import com.imcode.forum.Forum;
import com.imcode.forum.ForumThread;

import java.io.PrintStream;

public class CreateThreadCommand implements ForumShellCommand {

    public void execute(ForumRepository repository, PrintStream out, String[] commandParameters) {
        String id = commandParameters[0];
        SimpleForumPost post = new SimpleForumPost("title", "body", null);
        Forum forum = repository.getForum(id);
        if ( null == forum ) {
            out.println("No forum with id " + id);
            return;
        }
        ForumThread thread = forum.createThread(post);
        out.println("Created " + thread);
    }

    public String[] getParameterNames() {
        return new String[] {"forum-id"} ;
    }

    public String getPurpose() {
        return "Create thread" ;
    }

}
