package com.imcode.forum.shell;

import com.imcode.forum.Forum;
import com.imcode.forum.ForumPost;
import com.imcode.forum.ForumRepository;
import com.imcode.forum.ForumThread;

import java.io.PrintStream;

public class ListPostsCommand implements ForumShellCommand {


    public void execute(ForumRepository repository, PrintStream out, String[] commandParameters) {
        String forumId = commandParameters[0];
        String threadId = commandParameters[1];
        Forum forum = repository.getForum(forumId);
        ForumThread thread = forum.getThread(threadId);
        ForumPost post = thread.getTopPost();
        String indent = "";
        printPostTree(indent, post, out);
    }

    private void printPostTree(String indent, ForumPost post, PrintStream out) {
        out.println(indent + post);
        for ( ForumPost forumPost : post.getReplies() ) {
            printPostTree(indent + "  ", forumPost, out);
        }
    }

    public String[] getParameterNames() {
        return new String[] { "forum-id", "thread-id" };
    }

    public String getPurpose() {
        return "List posts" ;
    }

}
