package com.imcode.forum.shell;

import com.imcode.forum.Forum;
import com.imcode.forum.ForumRepository;
import com.imcode.forum.ForumThread;

import java.io.PrintStream;
import java.util.List;

class ListThreadsCommand implements ForumShellCommand {

    public void execute(ForumRepository repository, PrintStream out, String[] commandParameters) {
        String id = commandParameters[0];
        Forum forum = repository.getForum(id);
        if ( null == forum ) {
            out.println("No forum with id " + id);
            return;
        }
        List<ForumThread> threads = forum.getThreads();
        for ( ForumThread thread : threads ) {
            out.println(thread);
        }
    }

    public String[] getParameterNames() {
        return new String[] { "forum-id" };
    }

    public String getPurpose() {
        return "List threads";
    }
}
