package com.imcode.forum.sql;

import com.imcode.forum.Forum;
import com.imcode.forum.ForumThread;
import com.imcode.forum.ForumPost;

import java.util.List;

class SqlForum implements Forum {

    private final String id;
    private final SqlRepository forumRepository;

    SqlForum(SqlRepository forumRepository, String id) {
        this.id = id;
        this.forumRepository = forumRepository;
    }

    public List<ForumThread> getThreads() {
        return forumRepository.getForumThreadsWithNewestPosts(this) ;
    }

    public ForumThread createThread(ForumPost post) {
        return forumRepository.createThread(this, post) ;
    }

    public String getId() {
        return id ;
    }

    public ForumThread getThread(String threadId) {
        return forumRepository.getSqlThread(threadId, this) ;
    }

    public List<ForumThread> searchThreads(String[] strings) {
        return forumRepository.searchThreads(this, strings) ;
    }

    public List<ForumPost> searchPosts(String[] strings) {
        return forumRepository.searchPosts(this, strings) ;
    }

    public String toString() {
        return "forum "+id+" in repository "+forumRepository ;
    }
}
