<?xml version="1.0"?>
<!DOCTYPE database SYSTEM "http://db.apache.org/torque/dtd/database.dtd">
<database name="forum">
    <table name="forum_forums">
        <column name="forum_id" type="VARCHAR" size="100" required="true" primaryKey="true"/>
    </table>
    <table name="forum_threads">
        <column name="thread_id" type="INTEGER" required="true" primaryKey="true" autoIncrement="true"/>
        <column name="forum_id" type="VARCHAR" size="100" required="true"/>

        <foreign-key foreignTable="forum_forums">
            <reference local="forum_id" foreign="forum_id"/>
        </foreign-key>
    </table>
    <table name="forum_posts">
        <column name="post_id" type="INTEGER" required="true" primaryKey="true" autoIncrement="true"/>
        <column name="thread_id" type="INTEGER" required="true"/>
        <column name="parent_post_id" type="INTEGER" required="false"/>
        <column name="datetime" type="TIMESTAMP" required="true"/>
        <column name="view_count" type="INTEGER" required="true" default="0"/>
        <column name="user_name" type="CLOB" required="false"/>
        <column name="user_alias" type="CLOB" required="false"/>
        <column name="user_email_address" type="VARCHAR" size="320" required="false"/>
        <column name="userdata" type="CLOB" required="false"/>
        <column name="title" type="CLOB" required="true"/>
        <column name="body" type="CLOB" required="true"/>
        <column name="hidden" type="BIT" required="true" default="0"/>

        <foreign-key foreignTable="forum_threads">
            <reference local="thread_id" foreign="thread_id"/>
        </foreign-key>
    </table>
</database>
